package body MSHTML.IHTMLTxtRangeCollection_Object is

   function Get_length
     (This : IHTMLTxtRangeCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLTxtRangeCollection_Get_length);
   end Get_length;

   function Getu_newEnum
     (This : IHTMLTxtRangeCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLTxtRangeCollection_Getu_newEnum);
   end Getu_newEnum;

   function item
     (This      : IHTMLTxtRangeCollection_Type;
      pvarIndex : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLTxtRangeCollection_item,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pvarIndex),
         Free);
   end item;

end MSHTML.IHTMLTxtRangeCollection_Object;

